# synfig::ValueNode_Repeat_Gradient Struct Reference

`#include <valuenode_repeat_gradient.h>`

Inheritance diagram for synfig::ValueNode_Repeat_Gradient:

List of all members.

## Public Types

typedef etl::handle < ValueNode_Repeat_Gradient > | Handle
typedef etl::handle< const ValueNode_Repeat_Gradient > | ConstHandle

## Public Member Functions

virtual | ~ValueNode_Repeat_Gradient ()
virtual bool | set_link_vfunc (int i, ValueNode::Handle x)
virtual ValueNode::LooseHandle | get_link_vfunc (int i) const
virtual int | link_count () const
virtual String | link_local_name (int i) const
virtual String | link_name (int i) const
virtual int | get_link_index_from_name (const String &name) const
virtual ValueBase | operator() (Time t) const
| Returns the value of the ValueNode at time t.
virtual String | get_name () const
| Returns the name of the ValueNode type.
virtual String | get_local_name () const
| Returns the localized name of the ValueNode type.
LinkableValueNode * | create_new () const

## Static Public Member Functions

static bool | check_type (ValueBase::Type type)
static ValueNode_Repeat_Gradient * | create (const ValueBase &x=ValueBase::TYPE_GRADIENT)

## Protected Member Functions

| ValueNode_Repeat_Gradient (const Gradient &x)

## Member Typedef Documentation

typedef etl::handle<ValueNode_Repeat_Gradient> synfig::ValueNode_Repeat_Gradient::Handle

Reimplemented from synfig::LinkableValueNode.

typedef etl::handle<const ValueNode_Repeat_Gradient> synfig::ValueNode_Repeat_Gradient::ConstHandle

Reimplemented from synfig::LinkableValueNode.

## Constructor & Destructor Documentation

synfig::ValueNode_Repeat_Gradient::ValueNode_Repeat_Gradient | ( | const Gradient & | x | ) | `[protected]`

References synfig::Color::alpha(), synfig::ValueNode_Const::create(), and synfig::LinkableValueNode::set_link().

Referenced by create(), and create_new().

synfig::ValueNode_Repeat_Gradient::~ValueNode_Repeat_Gradient | ( |  | ) | `[virtual]`

References synfig::LinkableValueNode::unlink_all().

## Member Function Documentation

bool ValueNode_Repeat_Gradient::set_link_vfunc | ( | int | i,
|  | ValueNode::Handle | x |
| ) |  |  | `[virtual]`

Implements synfig::LinkableValueNode.

References CHECK_TYPE_AND_SET_VALUE, synfig::ValueNode::get_type(), link_count(), synfig::ValueBase::TYPE_BOOL, synfig::ValueBase::TYPE_COLOR, synfig::ValueBase::TYPE_INTEGER, and synfig::ValueBase::TYPE_REAL.

ValueNode::LooseHandle ValueNode_Repeat_Gradient::get_link_vfunc | ( | int | i | ) | const`[virtual]`

Implements synfig::LinkableValueNode.

References link_count().

int ValueNode_Repeat_Gradient::link_count | ( |  | ) | const`[virtual]`

Implements synfig::LinkableValueNode.

Referenced by get_link_vfunc(), link_local_name(), link_name(), and set_link_vfunc().

String ValueNode_Repeat_Gradient::link_local_name | ( | int | i | ) | const`[virtual]`

Implements synfig::LinkableValueNode.

References _, and link_count().

String ValueNode_Repeat_Gradient::link_name | ( | int | i | ) | const`[virtual]`

Implements synfig::LinkableValueNode.

References link_count().

int ValueNode_Repeat_Gradient::get_link_index_from_name | ( | const String & | name | ) | const`[virtual]`

Implements synfig::LinkableValueNode.

synfig::ValueBase synfig::ValueNode_Repeat_Gradient::operator() | ( | Time |  | ) | const`[virtual]`

Returns the value of the ValueNode at time t.

Reimplemented from synfig::ValueNode.

References synfig::Gradient::begin(), synfig::Gradient::end(), synfig::Gradient::push_back(), synfig::Gradient::rbegin(), and synfig::Gradient::rend().

String ValueNode_Repeat_Gradient::get_name | ( |  | ) | const`[virtual]`

Returns the name of the ValueNode type.

Implements synfig::ValueNode.

String ValueNode_Repeat_Gradient::get_local_name | ( |  | ) | const`[virtual]`

Returns the localized name of the ValueNode type.

Implements synfig::ValueNode.

References _.

LinkableValueNode * ValueNode_Repeat_Gradient::create_new | ( |  | ) | const`[virtual]`

Implements synfig::LinkableValueNode.

References ValueNode_Repeat_Gradient().

bool ValueNode_Repeat_Gradient::check_type | ( | ValueBase::Type | type | ) | `[static]`

References synfig::ValueBase::TYPE_GRADIENT.

ValueNode_Repeat_Gradient * ValueNode_Repeat_Gradient::create | ( | const ValueBase & | x = `ValueBase::TYPE_GRADIENT` | ) | `[static]`

References _, synfig::ValueBase::get(), synfig::ValueNode::get_type(), synfig::ValueBase::get_type(), synfig::ValueBase::TYPE_GRADIENT, synfig::ValueBase::type_local_name(), and ValueNode_Repeat_Gradient().

The documentation for this struct was generated from the following files:

- valuenode_repeat_gradient.h
- valuenode_repeat_gradient.cpp